Bug 14795 - Batch record modification tool removes framework code
Summary: Batch record modification tool removes framework code
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11395
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 13:09 UTC by Pablo AB
Modified: 2017-06-14 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14795: Prevent modifying a record without using the original framework (1.53 KB, patch)
2015-11-13 16:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14795: Prevent modifying a record without using the original framework (1.69 KB, patch)
2015-11-13 18:16 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 14795: Prevent modifying a record without using the original framework (1.75 KB, patch)
2015-11-15 22:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo AB 2015-09-08 13:09:21 UTC
Steps:
- Create any template on Tools > Manage MARC modification templates
- Go to Tools > Batch record modification
- Apply modification to any biblionumber you choose.

Result: The process removes frameworkcode, so Default framework is use. On MySQL table the column  for eg changes from frameworkcode="BKS" to frameworkcode="".
Comment 1 Jonathan Druart 2015-11-13 16:28:55 UTC
This a major one and blocker for the 3.22 release.
Comment 2 Jonathan Druart 2015-11-13 16:29:39 UTC
Actually it's in 3.20.x already, so raising again the severity.
Lost of data possible!
Comment 3 Jonathan Druart 2015-11-13 16:30:06 UTC
Ccing Chris as 3.20.x RM
Comment 4 Jonathan Druart 2015-11-13 16:33:30 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2015-11-13 18:16:21 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-11-15 22:36:23 UTC
Created attachment 44868 [details] [review]
[PASSED QA] Bug 14795: Prevent modifying a record without using the original framework

The origin framework is not passed on modifying the records and so the
default one is used.
This can caused data lost.

Test plan:
- Create a bibliographic record and specify a framework (not the default
one).
- Use the Batch records modification tools to modify it.
=> Without this patch, the default framework (framework code "") is used
and can deteriorate the record
=> With this patch, the record is saved using the original framework

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Tested framework is lost using tool without patch
Problem gone with patch
No qa errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2015-11-16 15:55:41 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 8 Frédéric Demians 2015-11-29 20:54:58 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.